/* Form Styles
---------------------------------------- */

input {
	font-weight: normal;
	vertical-align: middle;
}

select {
	font-weight: normal;
	cursor: pointer;
	vertical-align: middle;
}

option {
	padding-right: 1em;
}

select optgroup option {
	padding-right: 1em;
}

textarea {
	line-height: 1.4em;
}

label {
	cursor: default;
	padding-right: 5px;
}

label input {
	vertical-align: middle;
}

label img {
	vertical-align: middle;
}

/* Definition list layout for forms
---------------------------------------- */
fieldset dl {
	padding: 5px 0;
}

fieldset dt {
	float: left;
	width: 40%;
	text-align: left;
	display: block;
}

fieldset dd {
	margin-left: 41%;
	vertical-align: top;
	margin-bottom: 3px;
}

/* Specific layout 1 */
fieldset.fields1 dt {
	width: 15em;
	border-right-width: 0;
}

fieldset.fields1 dd {
	margin-left: 15em;
	border-left-width: 0;
}

fieldset.fields1 div {
	margin-bottom: 3px;
}

/* Set it back to 0px for the reCaptcha divs: PHPBB3-9587 */
fieldset.fields1 .live-search div {
	margin-bottom: 0;
}

/* Specific layout 2 */
fieldset.fields2 dt {
	width: 15em;
	border-right-width: 0;
}

fieldset.fields2 dd {
	margin-left: 16em;
	border-left-width: 0;
}

dd label {
	white-space: nowrap;
}

dd input, dd textarea {
	margin-right: 3px;
}

dd select {
	width: auto;
}

dd select[multiple] {
	width: 100%;
}

dd textarea {
	width: 85%;
}

/* Hover effects */
.timezone {
	width: 95%;
}

/* Browser-specific tweaks */
button::-moz-focus-inner {
	padding: 0;
	border: 0;
}

/* Quick-login on index page */
fieldset.quick-login {
	margin-top: 5px;
}

fieldset.quick-login input {
	width: auto;
}

fieldset.quick-login input.inputbox {
	width: 15%;
	vertical-align: middle;
	margin-right: 5px;
}

fieldset.quick-login label {
	white-space: nowrap;
	padding-right: 2px;
}

/* Display options on viewtopic/viewforum pages  */
fieldset.display-options {
	text-align: center;
	margin: 3px 0 5px 0;
}

fieldset.display-options label {
	white-space: nowrap;
	padding-right: 2px;
}

fieldset.display-options a {
	margin-top: 3px;
}

.dropdown fieldset.display-options {
	font-size: 1em;
	margin: 0;
	padding: 0;
}

.dropdown fieldset.display-options label {
	display: block;
	margin: 4px;
	padding: 0;
	text-align: right;
	white-space: nowrap;
}

.dropdown fieldset.display-options select {
	min-width: 120px;
}

/* Display actions for ucp and mcp pages */
fieldset.display-actions {
	text-align: right;
	line-height: 2em;
	white-space: nowrap;
	padding-right: 1em;
}

fieldset.display-actions label {
	white-space: nowrap;
	padding-right: 2px;
}

fieldset.sort-options {
	line-height: 2em;
}

/* MCP forum selection*/
fieldset.forum-selection {
	margin: 5px 0 3px 0;
	float: right;
}

fieldset.forum-selection2 {
	margin: 13px 0 3px 0;
	float: right;
}

fieldset.submit-buttons {
	text-align: center;
	vertical-align: middle;
}

fieldset.submit-buttons input {
	vertical-align: middle;
}

/* Posting page styles
----------------------------------------*/

/* Buttons used in the editor */
.format-buttons {
	margin: 15px 0 2px 0;
}

.format-buttons input, .format-buttons select {
	vertical-align: middle;
}

/* Main message box */
.message-box {
	width: 80%;
}

.message-box textarea {
	height: 300px;
	min-width: 100%;
	max-width: 100%;
	resize: vertical;
}

/* Emoticons panel */
.smiley-box {
	width: 18%;
	float: right;
}

.smiley-box img {
	margin: 3px;
}

input[type="number"] {
	-moz-padding-end: 0;
}

input[type="search"] {
	-webkit-appearance: textfield;
}

input[type="search"]::-webkit-search-decoration, input[type="search"]::-webkit-search-results-button, input[type="search"]::-webkit-search-results-decoration {
	display: none;
}

input[type="search"]::-webkit-search-cancel-button {
	cursor: pointer;
}

input[type="button"], input[type="submit"], input[type="reset"], input[type="checkbox"], input[type="radio"], .search-results li {
	cursor: pointer;
}

input.disabled {
	font-weight: normal;
}

.search-header .inputbox { border: 0; }

.navbar .linklist > li.responsive-search { display: none; }

input.search {
	background-image: none;
	background-repeat: no-repeat;
	background-position: left 1px;
	padding-left: 17px;
}

.full { width: 95%; }
.medium { width: 50%; }
.narrow { width: 25%; }
.tiny { width: 10%; }
